.. _builder:

Item builder
------------

The `builder` module provides a builder singleton class that can be
used to simplify the creation of plot items.

.. autodata:: plotpy.builder.make

.. autoclass:: plotpy.constants.LUTAlpha
   :members:

.. autoclass:: plotpy.builder.PlotBuilder
   :members: widget,dialog,window,gridparam,grid,mcurve,pcurve,curve,merror,perror,error,histogram,phistogram,range,vcursor,hcursor,xcursor,marker,image,maskedimage,maskedxyimage,rgbimage,quadgrid,pcolor,trimage,xyimage,imagefilter,contours,histogram2D,rectangle,ellipse,polygon,circle,segment,svg,annotated_point,annotated_rectangle,annotated_ellipse,annotated_circle,annotated_segment,annotated_polygon,label,legend,info_label,range_info_label,computation,computations,computation2d,computations2d
